• English
  • Query Item

    Request Path

    [POST] /api/v2/bill-payment/item/query

    Parameter List

    NameTypeLengthRequiredDescription
    sceneCodeString-YesBusiness scenario code【see detailed scenario codes】
    billerIdString32YesOperator ID

    Return Values

    NameTypeLengthRequiredDescription
    billerIdString32YesCarrier ID
    itemIdString32YesPackage ID
    itemNameString32YesPackage Name
    amountLong-NoPackage Amount
    minAmountLong-NoMinimum Recharge Amount
    maxAmountLong-NoMaximum Recharge Amount
    isFixAmountInteger-NoFixed Amount Flag 0-Non-fixed Amount 1-Fixed Amount
    statusInteger-NoStatus 0 1
    extInfoObject-NoExtended Parameters
    ExtInfo Object FieldsTypeLengthRequiredDescription
    validityDateLong32NoPackage Validity Days
    itemSizeString32NoPackage Size
    itemDescriptionMap-NoPackage Usage Instructions

    Postman Request Example

    request

    curl --location 'https://open-gw-sandbox.palmpay-inc.com/api/v2/bill-payment/item/query' \
    --header 'Accept: application/json, text/plain, */*' \
    --header 'CountryCode: NG' \
    --header 'Authorization: Bearer 10241024' \
    --header 'Signature: D11A3E8CB478C0B0F40276DDA5AFD898' \
    --header 'Content-Type: application/json' \
    --data '{"requestTime":1713924195586,"nonceStr":"6brpMN6ekD2kxZb2Xz7XQehadenFn8d3","version":"V2","billerId":"MTN","sceneCode":"airtime"}'

    response

    {
      "respCode": "00000000",
      "respMsg": "success",
      "data": [
        {
          "billerId": "MTN",
          "itemId": "5267001812",
          "itemName": "MTN Adaptable Amount",
          "amount": 10000,
          "maxAmount": null,
          "minAmount": null,
          "isFixAmount": 0,
          "status": 1
        }
      ]
    }

    Common Error Codes

    Please refer to the document

    Business Error Codes

    Error CodeError DescriptionSolution
    SBP.INVALID_PARAMETERInvalid parameterCheck the request parameters and resend after making corrections
    SBP.INVALID_SCENE_CODEInvalid scenario codeCheck the scenario code and resend after making corrections
    SBP.BILLER_DISABLEOperator unavailableCheck if the Operator ID is correct or if the Operator status is available